# Makefile for specs under http://svgwg.org/hg/svg2/specs/.

TOOLS=../../../svg2-tools

all-with-tools-check : tools-check all

tools-check :
	@bash -c "REMOTE_REV=$$(hg id -i http://svgwg.org/hg/svg2-tools); [ \$$? = 0 -o \"\$$REMOTE_REV\" != \"\" ] || exit 0; LOCAL_REV=$$(hg id -i $(TOOLS)); [ \"\$$LOCAL_REV\" = \"\$$REMOTE_REV\" -o \"\$$LOCAL_REV\" = \"\$$REMOTE_REV\"+ ] || (echo \"You must update your svg2-tools repository! (Remote repository has revision \$$REMOTE_REV, but you are at \$$LOCAL_REV.)\"; exit 1)"

all :
	@$(TOOLS)/build.py

clean :
	@$(TOOLS)/build.py -c

.PHONY : all-with-tools-check tools-check all clean
